Pular para o conteúdo

/api/v1/versions/rollback

POST
/api/v1/versions/rollback
curl --request POST \
--url https://api.endless.zaia.app/api/v1/versions/rollback \
--header 'Content-Type: application/json' \
--data '{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'

Rolls back the current draft version to a specific version.

Media typeapplication/json
object
id
required

A UUID v4 string that identifies an entity.

string format: uuid
Examplegenerated
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}

The draft version was rolled back.

Media typeapplication/json
object
draftVersionId
required

A UUID v4 string that identifies an entity.

string format: uuid
message
required
string
Examplegenerated
{
"draftVersionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"message": "example"
}

Unauthorized.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}

The target version could not be found.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}

The target version is invalid for rollback.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}